Subscribe contact by contact_id
curl --request POST \
--url https://lancepilot.com/api/v3/workspaces/{workspace}/newsletters/{newsletter}/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "e7b8d2a2-4c3f-4a1e-9c2e-123456789abc",
"status": true,
"name": "John Doe",
"email": "[email protected]",
"custom_input_value": [
{
"id": 1,
"value": "Some value"
}
]
}
'import requests
url = "https://lancepilot.com/api/v3/workspaces/{workspace}/newsletters/{newsletter}/subscribe"
payload = {
"contact_id": "e7b8d2a2-4c3f-4a1e-9c2e-123456789abc",
"status": True,
"name": "John Doe",
"email": "[email protected]",
"custom_input_value": [
{
"id": 1,
"value": "Some value"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'e7b8d2a2-4c3f-4a1e-9c2e-123456789abc',
status: true,
name: 'John Doe',
email: '[email protected]',
custom_input_value: [{id: 1, value: 'Some value'}]
})
};
fetch('https://lancepilot.com/api/v3/workspaces/{workspace}/newsletters/{newsletter}/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found.",
"status": 404
}Newsletters
Subscribe (Id)
This endpoint subscribes an existing contact to a newsletter using their contact_id.
It also allows updating name, email, and custom input fields. If automation is configured for the newsletter, an automation instance will be created.
POST
/
workspaces
/
{workspace}
/
newsletters
/
{newsletter}
/
subscribe
Subscribe contact by contact_id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the workspace.
The newsletter ID
Body
application/json
Existing contact ID
Example:
"e7b8d2a2-4c3f-4a1e-9c2e-123456789abc"
true = subscribed, false = unsubscribed
Example:
true
Example:
"John Doe"
Example:
Show child attributes
Show child attributes
Response
⌘I